# -*- coding: utf-8 -*-
from setuphelpers import *

# Declaring specific app values (TO CHANGE)
silent_args = "/Q"


def install():
    print("installing %s" % control.asrequirement())

    # Specific app values
    package_version = control.get_software_version()

    # Uninstalling older versions
    check_installed = installed_softwares("Microsoft Visual C++ 2005 Redistributable")
    # print(check_installed)
    for uninstall in check_installed:
        if uninstall["version"] < package_version:
            print("Removing %s" % uninstall["name"])
            cmd = uninstall_cmd(uninstall["key"])
            run(cmd)

    # Installing the package
    install_exe_if_needed(
        "vcredist_x86.exe",
        silentflags=silent_args,
        key="{710f4c1c-cc18-4c49-8cbf-51240c89a1a2}",
        min_version=package_version,
    )

    if iswin64():
        install_exe_if_needed(
            "vcredist_x64.exe",
            silentflags=silent_args,
            key="{ad8a2fa1-06e7-4b0d-927d-6e54b3d31028}",
            min_version="8.0.61000",
        )
